[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListItem.SubItemImages

Gets the ImageIndex for the sub-item at the specified position.

## Declaration

Source position: comctrls.pp line 1088

`public property TListItem.SubItemImages[AIndex: Integer] : Integer read GetSubItemImages write SetSubItemImages;`

## Description

SubItemImages is an indexed Integer property which gets the position for an image associated with the value in SubItems at the position specified in AIndex. The property value contains the ImageIndex for the sub-item assigned at design-time using the Items property editor in the Lazarus Object Inspector.

The property value is the position in SmallImages in the ListView control. The image is displayed to the left of the caption for the sub-item. -1 indicates that an image index value was not explicitly assigned for the sub-item.